// Import Fuse core library
@import "@fuse/scss/core";

// -----------------------------------------------------------------------------------------------------
// @ Multiple material themes example
// -----------------------------------------------------------------------------------------------------

// Define the Material palettes
$yellow-theme-primary: mat-palette($mat-fusedark);
$yellow-theme-accent: mat-palette($mat-yellow, 600, 400, 700);
$yellow-theme-warn: mat-palette($mat-red);

// Create the Material theme object
$yellow-theme: mat-light-theme($yellow-theme-primary, $yellow-theme-accent, $yellow-theme-warn);

// Add ".yellow-theme" class to the body to activate this theme
.yellow-theme {

    // Generate the Angular Material theme
    @include angular-material-theme($yellow-theme);

    // Generate the fuse color classes with the new colors...
    @include generateFuseColorClasses($yellow-theme-primary, $yellow-theme-accent, $yellow-theme-warn);
}

.panel {
    border: 1px solid rgba(0, 0, 0, .03);
    border-radius: 5px;
    margin: 8px 4px 8px 4px;
    display: block;
}

.panel-content {
    margin: 8px;
    padding: 4px 8px 4px 8px;
    display: block;
}

.panel-title {
    background: rgba(0, 0, 0, .03);
    color: black;
    display: flex;
    align-content: center;
    align-items: center;
    padding: 8px 8px 8px 8px;
}

[hidden] {
    display: none !important;
}